Summary: Scheduling program
Name: plan
Version: 1.7.1
Release: 2
Group: Applications/Productivity
Source: ftp://ftp.fu-berlin.de/pub/unix/graphics/plan/plan-1.7.1.tar.gz
Source1: netplan
Source2: plan.wmconfig
Patch: plan-1.7.1-conf.patch
Copyright: Freely distributable with attribution
BuildRoot: /var/tmp/plan-root
Prereq: /sbin/chkconfig
Requires: lesstif

%description
Plan is a graphical schedule planner.  It displays a month calendar
with eacy day box large enough to show appointments in small print.

Each appointment can have this information associated with it:

- the date, time, and length of the appointment
- an optional text message to be printed,
- an optional script to be executed,
- early-warn and late-warn triggers that precede the alarm time
- repetitions: [n-th] weekdays, days-of-the-month, every n days, yearly
- optional fast command-line appointment entry
- flexible ways to specify holidays and vacations
- extensive context help
- multiuser capability using an IP server program


%package server
Summary: network server for scheduling program
Group: Networking/Daemons

%description server
Network server for the "plan" scheduling program.

%prep
%setup -q 
%patch -p1 -b .conf

%build
make -C src DEBUG="$RPM_OPT_FLAGS" linux

%install
rm -rf $RPM_BUILD_ROOT
make install -C src DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d $RPM_BUILD_ROOT/etc/skel
install -m644 holiday/holiday_us $RPM_BUILD_ROOT/etc/skel/.holiday
chown nobody.nobody $RPM_BUILD_ROOT/usr/lib/plan/netplan.dir
chmod 700 $RPM_BUILD_ROOT/usr/lib/plan/netplan.dir
touch $RPM_BUILD_ROOT/etc/netplan-acl
ln -sf /etc/netplan-acl $RPM_BUILD_ROOT/usr/lib/plan/netplan.dir/.netplan-acl
install -m755 $RPM_SOURCE_DIR/netplan $RPM_BUILD_ROOT/etc/rc.d/init.d/netplan
for I in 0 1 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -sf ../init.d/netplan $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K05netplan
done
for I in 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -sf ../init.d/netplan $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S95netplan
done

install -m 755 -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/plan.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/plan

%clean
rm -rf $RPM_BUILD_ROOT

%post server
/sbin/chkconfig --add netplan

%preun server
if [ $1 = 0 ]; then
	/sbin/chkconfig --del netplan
fi

%files
%defattr(-,root,root)
%doc README HISTORY holiday
/usr/bin/plan
/usr/lib/plan/pland
/usr/lib/plan/notifier
/usr/lib/plan/netplan
/usr/lib/plan/plan.help
/usr/lib/plan/plan_cal.ps
/usr/man/man1/plan.1
/usr/man/man4/plan.4
%config /etc/skel/.holiday
%config /etc/X11/wmconfig/plan

%files server
%defattr(-,root,root)
%config /etc/rc.d/init.d/netplan
%config(missingok) /etc/rc.d/rc?.d/*
/usr/lib/plan/netplan
%dir /usr/lib/plan/netplan.dir
/usr/lib/plan/netplan.dir/.netplan-acl
%config /etc/netplan-acl
/usr/man/man1/netplan.1

%changelog
* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built package for 5.2

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.7.1

* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>
- tweaked descriptions

* Mon Dec  8 1997 Otto Hammersmith <otto@redhat.com>
- changed netplan.init to netplan
- added chkconfig

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig
- added 5.0 features to netplan.init

* Wed Dec  3 1997 Otto Hammersmith <otto@redhat.com>
- built for powertools
- moved buildroot into /var/tmp from /tmp
